package proxy

import (
	"testing"
	"log"
	"loafle.com/overflow/encryption_go"
)

func TestMemberService_Login(t *testing.T) {

}

func TestMemberService_Regist(t *testing.T) {
	m := &MemberService{
		Email:"geek@loafle.com",
		PwSalt:"qwer5795",
		Digest:"Digest",
		Company:"Loafle",
		Name:"Geek",
		Phone:"010-4055-6699",
	}

	encryption.Encrypt(m.PwSalt)
	mm := m.getMemberMap()

	rr := invokeDB(TARGET_DAO, "create", mm)
	log.Println(rr)
}

func TestMemberService_Read(t *testing.T) {
	//m := &MemberService{
	//	Id:"3",
	//}

	//mm := m.getMemberMap()
	mm := make(map[string] string)
	mm["id"] = "4"
	rr := invokeDB(TARGET_DAO, "find", mm)

	log.Println(rr)
}

func TestMemberService_ReadByEmail(t *testing.T)  {
	m := &MemberService{
		Email:"geek@loafle.com",
	}

	mm := m.getMemberMap()
	rr := invokeDB(TARGET_DAO, "findByEmail", mm)
	log.Println(rr)
}