package proxy

import (
	"log"
	"encoding/json"
	//"loafle.com/overflow/encryption_go/src/loafle.com/overflow/encryption"
	//"strings"
)

type MemberService struct {
	Id 			string `json:"id"`
	Email  		string `json:"email"`
	PwSalt 		string `json:"pwSalt"`
	Digest 		string `json:"digest"`
	Name 		string `json:"name"`
	Company 	string `json:"company"`
	Phone 		string `json:"phone"`
}

var TARGET_DAO = "member"

func NewMember() *MemberService {
	m := MemberService{}
	return &m
}

func (m *MemberService) getMemberMap() (map[string]string) {
	memMap := make(map[string]string)

	str, err := json.Marshal(m)

	if err != nil {
		log.Fatal("Json Marshal Error: ", err)
	}

	memMap["com.loafle.overflow.member.model.Member"] = string(str)

	return memMap
}

func (m *MemberService) Login() string {
	log.Println("Call Login", m.Email, m.PwSalt)

	mStr := m.Read()

	mTemp := &MemberService{}
	json.Unmarshal([]byte(mStr), mTemp)

	//pwSalt, digest, err := encryption.Encrypt(m.PwSalt)
	//if  {
	//
	//}
	log.Println("member Pw: ", m.PwSalt)
	log.Println("member Temp Pw: ", mTemp.PwSalt)

	if m.PwSalt != mTemp.PwSalt {
		return "login reject"
	}

	return "login success"
}

func (m *MemberService) Regist() (string){
	log.Println("Call Regist", m.Email, m.PwSalt)
	// Todo Call DB Gateway
	m.Digest = "qwer5795"
	memMap := m.getMemberMap()

	//pwSalt, digest, err := encryption.Encrypt(m.PwSalt)

	//if err != nil {
	//	log.Fatal("encryption Encrypt Error: ", err)
	//}
	//
	//m.PwSalt = string(pwSalt)
	//m.Digest = string(digest)

	re := invokeDB(TARGET_DAO, "create", memMap)

	return re
}

func (m *MemberService) ReadByEmail() (string) {
	log.Println("Call ReadByEmail", m.Email)
	memMap := m.getMemberMap()
	re := invokeDB(TARGET_DAO, "findByEmail", memMap)
	return ""
}

func (m *MemberService) Read() (string){
	log.Println("Call Read", m.Email)
	// Todo Call DB Gateway
	m.Digest = "qwer5795"
	//memMap := m.getMemberMap()
	mm := make(map[string]string)
	mm["id"] = m.Id
	log.Println("Read Member", m)
	re := invokeDB(TARGET_DAO, "find", mm)

	return re
}

func (m *MemberService) Modify() (string){
	log.Println("Call Modify", m.Email,  "::", m.PwSalt)
	// Todo Call DB Gateway
	m.Digest = "read"
	memMap := m.getMemberMap()

	re := invokeDB(TARGET_DAO, "update", memMap)

	return re
}

func (m *MemberService) Remove() (string){
	log.Println("Call Remove", m.Email)
	// Todo Call DB Gateway
	m.Digest = "read"
	memMap := m.getMemberMap()

	re := invokeDB(TARGET_DAO, "delete", memMap)

	return re
}
